using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore.Control;

public partial class Component_FastSearch_FastSearch_IOType : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        FastSearh fs = new FastSearh();
        IOTypeDAL dal = new IOTypeDAL();
        string keyword = Request.QueryString["searchTerm"];
        string direction = Request.QueryString["direction"];
        string iot_flag = "";
        if (Request["iot_flag"] != null)
        {
            iot_flag = Request.QueryString["iot_flag"];
        }
        string s = fs.CreateSearchJSON(dal.GetList_FastSearch(keyword, iot_flag));
        Response.Write(s);
    }
}